> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerwarps/restapi/endpoints/get/getwarpplayerbyuuid.md).

# /api/playerwarps/getWarpPlayerByUUID/{uuid}

* **Parameters:**
  * `uuid`: The UUID of the player.
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "uuid": "5ca251ab-589d-4f04-8f0c-28404d0686b0",
    "messages": [],
    "sponsorCooldown": null,
    "staticWarps": 0,
    "logs": [],
    "earnedRateRewards": [],
    "lastPlayed": 1735595807797,
    "pendingWarp": null,
    "maxWarpCostPrice": 500.0,
    "minWarpCostPrice": -1.0,
    "priceFreeLimit": -1,
    "waitTeleportTime": 3,
    "maximumWarps": 9223372036854775807,
    "prettyMaximumWarps": "Unlimited",
    "name": "ForgotUrPassword",
    "language": "en_gb"
  }
  ```

**Fields:**

* **uuid** (String): The UUID of the player.
* **messages** (Array): Messages related to the player.
* **sponsorCooldown** (Object|null): Sponsor cooldown details.
* **staticWarps** (Number): Number of static warps owned by the player.
* **logs** (Array): Logs associated with the player.
* **earnedRateRewards** (Array): Rewards earned by the player.
* **lastPlayed** (Number): The last played timestamp (in milliseconds).
* **pendingWarp** (Object|null): Pending warp details.
* **maxWarpCostPrice** (Number): Maximum cost for creating a warp.
* **minWarpCostPrice** (Number): Minimum cost for creating a warp.
* **priceFreeLimit** (Number): Limit for free warps (-1 if unlimited).
* **waitTeleportTime** (Number): Time in seconds to wait before teleporting.
* **maximumWarps** (Number): The maximum number of warps allowed.
* **prettyMaximumWarps** (String): A human-readable representation of maximum warps (e.g., "Unlimited").
* **name** (String): The player's name.
* **language** (String): The player's language (locale).

**Note:**

* [**Authentication**](/projects/playerwarps/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access warp information if you do not own the warp.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.olziedev.com/projects/playerwarps/restapi/endpoints/get/getwarpplayerbyuuid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
